%define upstream_name    Test-Pod-LinkCheck
%define upstream_version 0.005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Tests POD for invalid links
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: man
BuildRequires: perl(App::PodLinkCheck::ParseLinks)
BuildRequires: perl(App::PodLinkCheck::ParseSections)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Pod::Find)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Tester)

BuildArch: noarch

%description
This module looks for any links in your POD and verifies that they point to
a valid resource. It uses the the Pod::Simple manpage parser to analyze the
pod files and look at their links. In a nutshell, it looks for 'L<Foo>'
links and makes sure that Foo exists. It also recognizes section links,
'L</SYNOPSIS>' for example. Also, manpages are resolved and checked.

This module does *NOT* check "http" links like 'L<http://www.google.com>'
in your pod. For that, please check out the Test::Pod::No404s manpage.

Normally, you wouldn't want this test to be run during end-user
installation because they might not have the modules installed! It is
HIGHLY recommended that this be used only for module authors'
RELEASE_TESTING phase. To do that, just modify the synopsis to add an env
check :)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
# prevent test to reach network (for cpan)
perl -pi -e 's/Acme::Drunk/Test::More/' t/simple.t
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Mar 15 2011 jquelin <jquelin> 0.5.0-1.mga1
+ Revision: 71666
- prevent tests from reaching network
- adding missing buildrequires:
- fix failing tests
- adding more stringent buildrequires:
- imported package perl-Test-Pod-LinkCheck


* Mon Mar 14 2011 cpan2dist 0.005-1mga
- initial mageia release, generated with cpan2dist
